> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get token info

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /tokens/{address_hash}
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /tokens/{address_hash}:
    get:
      summary: get token info
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_token
      parameters:
        - $ref: '#/components/parameters/addressHash'
      responses:
        '200':
          description: token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenInfo'
        '400':
          description: bad input parameter
components:
  parameters:
    addressHash:
      name: address_hash
      in: path
      description: Address hash
      required: true
      schema:
        type: string
        pattern: ^0x([A-Fa-f0-9]{40})$
  schemas:
    TokenInfo:
      type: object
      required:
        - address
        - circulating_market_cap
        - icon_url
        - symbol
        - name
        - decimals
        - type
        - holders
        - exchange_rate
        - total_supply
      properties:
        circulating_market_cap:
          type: string
          example: '83606435600.3635'
        icon_url:
          type: string
          example: >-
            https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png
        name:
          type: string
          example: Tether USD
        decimals:
          type: string
          example: '6'
        symbol:
          type: string
          example: USDT
        address_hash:
          type: string
          example: '0x394c399dbA25B99Ab7708EdB505d755B3aa29997'
        type:
          type: string
          example: ERC-20
        holders_count:
          type: string
          example: '837494234523'
        exchange_rate:
          type: string
          example: '0.99'
        total_supply:
          type: string
          example: '10000000'

````